### A free/open-source library for quantitative finance

Public Member Functions
DigitalIborLeg Class Reference

helper class building a sequence of digital ibor-rate coupons More...

`#include <ql/cashflows/digitaliborcoupon.hpp>`

List of all members.

## Public Member Functions

| DigitalIborLeg (const Schedule &schedule, const boost::shared_ptr< IborIndex > &index)
DigitalIborLeg & | withNotionals (Real notional)
DigitalIborLeg & | withNotionals (const std::vector< Real > &notionals)
DigitalIborLeg & | withPaymentDayCounter (const DayCounter &)
DigitalIborLeg & | withPaymentAdjustment (BusinessDayConvention)
DigitalIborLeg & | withFixingDays (Natural fixingDays)
DigitalIborLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
DigitalIborLeg & | withGearings (Real gearing)
DigitalIborLeg & | withGearings (const std::vector< Real > &gearings)
DigitalIborLeg & | withSpreads (Spread spread)
DigitalIborLeg & | withSpreads (const std::vector< Spread > &spreads)
DigitalIborLeg & | inArrears (bool flag=true)
DigitalIborLeg & | withCallStrikes (Rate strike)
DigitalIborLeg & | withCallStrikes (const std::vector< Rate > &strikes)
DigitalIborLeg & | withLongCallOption (Position::Type)
DigitalIborLeg & | withCallATM (bool flag=true)
DigitalIborLeg & | withCallPayoffs (Rate payoff)
DigitalIborLeg & | withCallPayoffs (const std::vector< Rate > &payoffs)
DigitalIborLeg & | withPutStrikes (Rate strike)
DigitalIborLeg & | withPutStrikes (const std::vector< Rate > &strikes)
DigitalIborLeg & | withLongPutOption (Position::Type)
DigitalIborLeg & | withPutATM (bool flag=true)
DigitalIborLeg & | withPutPayoffs (Rate payoff)
DigitalIborLeg & | withPutPayoffs (const std::vector< Rate > &payoffs)
DigitalIborLeg & | withReplication (const boost::shared_ptr< DigitalReplication > &replication=boost::shared_ptr< DigitalReplication >())
| operator Leg () const

## Detailed Description

helper class building a sequence of digital ibor-rate coupons